org.apache.cassandra.utils.concurrent

## Interface RefCounted.Tidy

- All Known Implementing Classes:
    CompressedPoolingSegmentedFile.Cleanup, PoolingSegmentedFile.Cleanup, SegmentedFile.Cleanup
  Enclosing interface:
    RefCounted<T>

      public static interface RefCounted.Tidy

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `name()`
    `void` | `tidy()`

- - ### Method Detail

    - #### tidy

          void tidy()
             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### name

          java.lang.String name()

Copyright © 2018 The Apache Software Foundation